/* stdmpi.h */

/* Copyright(c) 1991-2006 by Motion Engineering, Inc.  All rights reserved.
 *
 * This software  contains proprietary and  confidential information  of
 * Motion Engineering Inc., and its suppliers.  Except as may be set forth
 * in the license agreement under which  this software is supplied, use,
 * disclosure, or  reproduction is prohibited without the prior express
 * written consent of Motion Engineering, Inc.
 */

/*
 *	RCSHeader
 */

#if !defined(_STDMPI_H)
#define	_STDMPI_H

/*
 *	This file declares the entire Motion Programming Interface.
 *
 *	If an application includes this file, no other MPI
 *	header files need to be included.
 */

#include "mpidef.h"

#include "axis.h"
#include "capture.h"
#include "command.h"
/* Not Supported */
/* #include "compare.h" */
#include "compensator.h"
#include "control.h"
#include "event.h"
#include "eventmgr.h"
#include "filter.h"
#include "message.h"
#include "motion.h"
#include "motor.h"
#include "notify.h"
#include "path.h"
#include "probe.h"
#include "recorder.h"
#include "sequence.h"

#endif
